#!/usr/bin/env python

import sys

filename = sys.argv[1]

if filename.endswith('__init__.py'):
    sys.exit(0)

package_name = filename.replace('/', '.').replace('.py', '')
sys.stdout.write('%s' % (package_name))
sys.stdout.write('\n')
# sys.stdout.write('\n\n')
sys.stdout.write('-' * len(package_name))
sys.stdout.write('\n\n')

sys.stderr.write('\tExtract doc from %s\n' % (filename))

with open(filename) as infile:
    copy = False
    for line in infile:
        if line.strip() in ['"""', "'''"]:
            if not copy:
                copy = True
            else:
                break
        elif copy:
            sys.stdout.write('    %s' % (line))

sys.stdout.write('\n\n')
